Subject: Re: Should you use test_i18ngrep or GIT_TEST_GETTEXT_POISON=false?

From: Junio C Hamano <[email-masked]>
Date: Mon, 11 Jan 2021 13:05:37 -0800

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> What do you think about just removing it? I.e. make setting it a noop?

I have been seeing occasional CI job failures from new tests that
forget to use test_i18ngrep.  I actually think marking such a grep
as "this is looking for a string that is meant for humans" a good
way to document the interface and expected end-user interaction,
so I am not sure about just removing it.

So after all, test_i18ngrep may make more sense than setting
GIT_TEST_GETTEXT_POISON to false.  I dunno.